<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <AspNetCoreHostingModel>InProcess</AspNetCoreHostingModel>
    <RestoreFallbackFolders>clear</RestoreFallbackFolders>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Dapper" Version="2.0.30" />
    <PackageReference Include="EPPlus" Version="6.1.2" />
    <PackageReference Include="Ionic.Zip" Version="1.9.1.8" />
    <PackageReference Include="MassTransit" Version="6.2.3" />
    <PackageReference Include="MassTransit.RabbitMQ" Version="6.2.3" />
    <PackageReference Include="Microsoft.AspNetCore.App" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="3.1.5" />
    <PackageReference Include="Microsoft.AspNetCore.Cors" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Http" Version="2.2.2" />
    <PackageReference Include="Microsoft.AspNetCore.Razor.Design" Version="2.2.0" PrivateAssets="All" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR" Version="1.1.0" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Core" Version="1.1.0" />
    <PackageReference Include="Microsoft.CodeAnalysis.Analyzers" Version="2.9.4">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.5" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="Npgsql" Version="4.1.3" />
    <PackageReference Include="RestSharp" Version="106.11.5" />
    <PackageReference Include="ServiceStack.Text" Version="5.9.2" />
    <PackageReference Include="System.Text.Encoding.CodePages" Version="4.7.1" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Areas\" />
    <Folder Include="Controllers\Common\SendMail\" />
  </ItemGroup>

</Project>
